﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Web.Http; //追加する

namespace APIController1
{
    public class SensorDevicesController : ApiController
    {
        public SensorDevice[] Get()
        {
            SensorDevice[] devices = new SensorDevice[3];

            devices[0] = new SensorDevice { DeviceId = 1, DeviceName = "DevName1", OwnerName = "Yokohama Company" };
            devices[1] = new SensorDevice { DeviceId = 2, DeviceName = "DevName2", OwnerName = "Shinagawa Company" };
            devices[2] = new SensorDevice { DeviceId = 3, DeviceName = "DevName3", OwnerName = "Shibuya Company" };

            return devices;
        }

        public SensorDevice Get(int Id)
        {
            switch (Id)
            {
                case 1:
                    return new SensorDevice { DeviceId = 1, DeviceName = "DevName1", OwnerName = "Yokohama Company" };

                case 2:
                    return new SensorDevice { DeviceId = 2, DeviceName = "DevName2", OwnerName = "Shinagawa Company" };

                case 3:
                    return new SensorDevice { DeviceId = 3, DeviceName = "DevName3", OwnerName = "Shibuya Company" };

                default:
                    break;
            }

            return null;
        }
    }

    /// <summary>
    /// センサーデバイス
    /// </summary>
    public class SensorDevice
    {
        public int DeviceId { get; set; }

        public string DeviceName { get; set; }

        public string OwnerName { get; set; }
    }

}